summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTheo Chatzimichos <tampakrap@gentoo.org>2009-12-01 15:03:59 +0000
committerTheo Chatzimichos <tampakrap@gentoo.org>2009-12-01 15:03:59 +0000
commit4aa78a0319391f6ddd3b99440b24fc2bdaa19322 (patch)
tree46dccc5b41eb57738b4b09d1dc70ecc655db3bd3 /x11-libs
parentmask temporarily qt-4.6 until I finish committing it (diff)
downloadhistorical-4aa78a0319391f6ddd3b99440b24fc2bdaa19322.tar.gz
historical-4aa78a0319391f6ddd3b99440b24fc2bdaa19322.tar.bz2
historical-4aa78a0319391f6ddd3b99440b24fc2bdaa19322.zip
Version bump to 4.6.0
Package-Manager: portage-2.2_rc54/cvs/Linux x86_64
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/qt-assistant/ChangeLog8
-rw-r--r--x11-libs/qt-assistant/qt-assistant-4.6.0.ebuild77
-rw-r--r--x11-libs/qt-core/ChangeLog8
-rw-r--r--x11-libs/qt-core/qt-core-4.6.0.ebuild211
-rw-r--r--x11-libs/qt-dbus/ChangeLog8
-rw-r--r--x11-libs/qt-dbus/qt-dbus-4.6.0.ebuild36
-rw-r--r--x11-libs/qt-demo/ChangeLog8
-rw-r--r--x11-libs/qt-demo/qt-demo-4.6.0.ebuild46
-rw-r--r--x11-libs/qt-gui/ChangeLog8
-rw-r--r--x11-libs/qt-gui/qt-gui-4.6.0.ebuild168
-rw-r--r--x11-libs/qt-multimedia/ChangeLog8
-rw-r--r--x11-libs/qt-multimedia/qt-multimedia-4.6.0.ebuild42
-rw-r--r--x11-libs/qt-opengl/ChangeLog8
-rw-r--r--x11-libs/qt-opengl/qt-opengl-4.6.0.ebuild44
-rw-r--r--x11-libs/qt-phonon/ChangeLog8
-rw-r--r--x11-libs/qt-phonon/qt-phonon-4.6.0.ebuild37
-rw-r--r--x11-libs/qt-qt3support/ChangeLog8
-rw-r--r--x11-libs/qt-qt3support/qt-qt3support-4.6.0.ebuild42
-rw-r--r--x11-libs/qt-script/ChangeLog8
-rw-r--r--x11-libs/qt-script/qt-script-4.6.0.ebuild33
-rw-r--r--x11-libs/qt-sql/ChangeLog8
-rw-r--r--x11-libs/qt-sql/qt-sql-4.6.0.ebuild68
-rw-r--r--x11-libs/qt-svg/ChangeLog8
-rw-r--r--x11-libs/qt-svg/qt-svg-4.6.0.ebuild43
-rw-r--r--x11-libs/qt-test/ChangeLog8
-rw-r--r--x11-libs/qt-test/qt-test-4.6.0.ebuild30
-rw-r--r--x11-libs/qt-webkit/ChangeLog8
-rw-r--r--x11-libs/qt-webkit/qt-webkit-4.6.0.ebuild40
-rw-r--r--x11-libs/qt-xmlpatterns/ChangeLog8
-rw-r--r--x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.0.ebuild32
-rw-r--r--x11-libs/qt/ChangeLog7
-rw-r--r--x11-libs/qt/qt-4.6.0.ebuild39
32 files changed, 1099 insertions, 16 deletions
diff --git a/x11-libs/qt-assistant/ChangeLog b/x11-libs/qt-assistant/ChangeLog
index ecde99040c26..7cc9b85c1a3e 100644
--- a/x11-libs/qt-assistant/ChangeLog
+++ b/x11-libs/qt-assistant/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-assistant
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.61 2009/11/18 20:50:13 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.62 2009/12/01 14:48:01 tampakrap Exp $
+
+*qt-assistant-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-assistant-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-assistant-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-assistant/qt-assistant-4.6.0.ebuild b/x11-libs/qt-assistant/qt-assistant-4.6.0.ebuild
new file mode 100644
index 000000000000..af08dd1fa044
--- /dev/null
+++ b/x11-libs/qt-assistant/qt-assistant-4.6.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/qt-assistant-4.6.0.ebuild,v 1.1 2009/12/01 14:48:01 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The assistant help module for the Qt toolkit."
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="
+ ~x11-libs/qt-gui-${PV}
+ ~x11-libs/qt-sql-${PV}[sqlite]
+ ~x11-libs/qt-webkit-${PV}
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${P}_rc1-tools.patch"
+)
+
+# Pixeltool isn't really assistant related, but it relies on
+# the assistant libraries. doc/qch/
+QT4_TARGET_DIRECTORIES="
+tools/assistant
+tools/pixeltool
+tools/qdoc3"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+tools/
+demos/
+examples/
+src/
+include/
+doc/"
+src_configure() {
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-multimedia -no-qt3support -no-svg"
+ qt4-build_src_configure
+}
+
+src_compile() {
+ # help libQtHelp find freshly built libQtCLucene (bug #289811)
+ export LD_LIBRARY_PATH="${S}/lib"
+ qt4-build_src_compile
+ # ugly hack to build docs
+ cd "${S}"
+ qmake "LIBS+=-L${QTLIBDIR}" "CONFIG+=nostrip" projects.pro || die "qmake projects faied"
+ emake qch_docs || die "emake docs failed"
+}
+
+src_install() {
+ qt4-build_src_install
+ # install documentation
+ # note that emake install_qchdocs fails for undefined reason so we use a
+ # workaround
+ cd "${S}"
+ insinto "${QTDOCDIR}"
+ doins -r "${S}"/doc/qch || die "doins qch documentation failed"
+ dobin "${S}"/bin/qdoc3 || die "Installing qdoc3 failed"
+ #emake INSTALL_ROOT="${D}" install_qchdocs || die "emake install_qchdocs failed"
+ # install correct assistant icon, bug 241208
+ dodir /usr/share/pixmaps/ || die "dodir failed"
+ insinto /usr/share/pixmaps/ || die "insinto failed"
+ doins tools/assistant/tools/assistant/images/assistant.png \
+ || die "doins failed"
+ # Note: absolute image path required here!
+ make_desktop_entry /usr/bin/assistant Assistant \
+ /usr/share/pixmaps/assistant.png 'Qt;Development;GUIDesigner' \
+ || die "make_desktop_entry failed"
+
+}
diff --git a/x11-libs/qt-core/ChangeLog b/x11-libs/qt-core/ChangeLog
index fd2fec45eeae..8a6394f66320 100644
--- a/x11-libs/qt-core/ChangeLog
+++ b/x11-libs/qt-core/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-core
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.78 2009/11/20 00:00:35 spatz Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.79 2009/12/01 14:45:44 tampakrap Exp $
+
+*qt-core-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-core-4.6.0.ebuild:
+ Version Bump to 4.6.0
20 Nov 2009; Dror Levin <spatz@gentoo.org> qt-core-4.6.0_rc1.ebuild:
Revert /etc/env.d/44qt4 removal, seems like it's still needed.
diff --git a/x11-libs/qt-core/qt-core-4.6.0.ebuild b/x11-libs/qt-core/qt-core-4.6.0.ebuild
new file mode 100644
index 000000000000..d3c7c628031b
--- /dev/null
+++ b/x11-libs/qt-core/qt-core-4.6.0.ebuild
@@ -0,0 +1,211 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/qt-core-4.6.0.ebuild,v 1.1 2009/12/01 14:45:44 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="doc +glib iconv optimized-qmake qt3support ssl"
+
+RDEPEND="sys-libs/zlib
+ glib? ( dev-libs/glib )
+ ssl? ( dev-libs/openssl )
+ !<x11-libs/qt-4.4.0:4"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+PDEPEND="qt3support? ( ~x11-libs/qt-gui-${PV}[qt3support] )"
+
+QT4_TARGET_DIRECTORIES="
+src/tools/bootstrap
+src/tools/moc
+src/tools/rcc
+src/tools/uic
+src/corelib
+src/xml
+src/network
+src/plugins/codecs
+tools/linguist/lconvert
+tools/linguist/lrelease
+tools/linguist/lupdate"
+
+# Most ebuilds include almost everything for testing
+# Will clear out unneeded directories after everything else works OK
+QT4_EXTRACT_DIRECTORIES="
+include/Qt
+include/QtCore
+include/QtNetwork
+include/QtScript
+include/QtXml
+src/plugins/plugins.pro
+src/plugins/qpluginbase.pri
+src/src.pro
+src/3rdparty/des
+src/3rdparty/harfbuzz
+src/3rdparty/md4
+src/3rdparty/md5
+src/3rdparty/sha1
+src/3rdparty/easing
+src/script
+tools/linguist/shared
+translations"
+
+pkg_setup() {
+ qt4-build_pkg_setup
+
+ if has_version x11-libs/qt-core; then
+ # Check to see if they've changed the glib flag since the last time installing this package.
+ if use glib && ! built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ elif ! use glib && built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ fi
+
+ # Check to see if they've changed the qt3support flag since the last time installing this package.
+ # If so, give a list of packages they need to uninstall first.
+ if use qt3support && ! built_with_use x11-libs/qt-core qt3support; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ elif ! use qt3support && built_with_use x11-libs/qt-core qt3support ; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ fi
+ fi
+}
+
+src_unpack() {
+ if use doc; then
+ QT4_EXTRACT_DIRECTORIES="${QT4_EXTRACT_DIRECTORIES}
+ doc/"
+ QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ tools/qdoc3"
+ fi
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+
+ # Don't pre-strip, bug 235026
+ for i in kr jp cn tw ; do
+ echo "CONFIG+=nostrip" >> "${S}"/src/plugins/codecs/${i}/${i}.pro
+ done
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ # bug 172219
+ sed -i -e "s:CXXFLAGS.*=:CXXFLAGS=${CXXFLAGS} :" \
+ "${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix CXXFLAGS failed"
+ sed -i -e "s:LFLAGS.*=:LFLAGS=${LDFLAGS} :" \
+ "${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix LDFLAGS failed"
+}
+
+src_configure() {
+ unset QMAKESPEC
+
+ myconf="${myconf}
+ $(qt_use glib)
+ $(qt_use iconv)
+ $(qt_use optimized-qmake)
+ $(qt_use ssl openssl)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-gif -no-libpng
+ -no-libmng -no-libjpeg -system-zlib -no-webkit -no-phonon -no-xmlpatterns
+ -no-freetype -no-libtiff -no-accessibility -no-fontconfig -no-opengl
+ -no-svg -no-gtkstyle -no-phonon-backend -no-script -no-scripttools
+ -no-cups -no-xsync -no-xinput -no-multimedia"
+
+ if ! use doc; then
+ myconf="${myconf} -nomake docs"
+ fi
+
+ qt4-build_src_configure
+}
+
+src_compile() {
+ # bug 259736
+ unset QMAKESPEC
+ qt4-build_src_compile
+}
+
+src_install() {
+ dobin "${S}"/bin/{qmake,moc,rcc,uic,lconvert,lrelease,lupdate} || die "dobin failed"
+
+ install_directories src/{corelib,xml,network,plugins/codecs}
+
+ emake INSTALL_ROOT="${D}" install_mkspecs || die "emake install_mkspecs failed"
+
+ if use doc; then
+ emake INSTALL_ROOT="${D}" install_htmldocs || die "emake install_htmldocs failed"
+ fi
+
+ # use freshly built libraries
+ LD_LIBRARY_PATH="${S}/lib" "${S}"/bin/lrelease translations/*.ts \
+ || die "generating translations faied"
+ insinto ${QTTRANSDIR}
+ doins translations/*.qm || die "doins translations failed"
+
+ setqtenv
+ fix_library_files
+
+ # List all the multilib libdirs
+ local libdirs=
+ for libdir in $(get_all_libdirs); do
+ libdirs="${libdirs}:/usr/${libdir}/qt4"
+ done
+
+ cat <<-EOF > "${T}/44qt4"
+ LDPATH=${libdirs:1}
+ EOF
+ doenvd "${T}/44qt4"
+
+ dodir /${QTDATADIR}/mkspecs/gentoo
+ mv "${D}"/${QTDATADIR}/mkspecs/qconfig.pri "${D}${QTDATADIR}"/mkspecs/gentoo \
+ || die "Failed to move qconfig.pri"
+
+ sed -i -e '2a#include <Gentoo/gentoo-qconfig.h>\n' \
+ "${D}${QTHEADERDIR}"/QtCore/qconfig.h \
+ "${D}${QTHEADERDIR}"/Qt/qconfig.h \
+ || die "sed for qconfig.h failed"
+
+ if use glib; then
+ QCONFIG_DEFINE="$(use glib && echo QT_GLIB)
+ $(use ssl && echo QT_OPENSSL)"
+ install_qconfigs
+ fi
+
+ # remove some unnecessary headers
+ rm -f "${D}${QTHEADERDIR}"/{Qt,QtCore}/{\
+qatomic_macosx.h,\
+qatomic_windows.h,\
+qatomic_windowsce.h,\
+qt_windows.h}
+
+ keepdir "${QTSYSCONFDIR}"
+}
diff --git a/x11-libs/qt-dbus/ChangeLog b/x11-libs/qt-dbus/ChangeLog
index fe49667749a7..f9524a651489 100644
--- a/x11-libs/qt-dbus/ChangeLog
+++ b/x11-libs/qt-dbus/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-dbus
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.51 2009/11/18 20:51:33 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.52 2009/12/01 14:48:57 tampakrap Exp $
+
+*qt-dbus-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-dbus-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-dbus-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-dbus/qt-dbus-4.6.0.ebuild b/x11-libs/qt-dbus/qt-dbus-4.6.0.ebuild
new file mode 100644
index 000000000000..b4e79c559870
--- /dev/null
+++ b/x11-libs/qt-dbus/qt-dbus-4.6.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/qt-dbus-4.6.0.ebuild,v 1.1 2009/12/01 14:48:57 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The DBus module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]
+ >=sys-apps/dbus-1.0.2"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/dbus
+tools/qdbus/qdbus
+tools/qdbus/qdbusxml2cpp
+tools/qdbus/qdbuscpp2xml"
+QCONFIG_ADD="dbus dbus-linked"
+QCONFIG_DEFINE="QT_DBUS"
+
+#FIXME: Check if these are still needed with the header package
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtDBus
+include/QtXml
+src/corelib
+src/xml"
+
+src_configure() {
+ myconf="${myconf} -dbus-linked"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-demo/ChangeLog b/x11-libs/qt-demo/ChangeLog
index 59c0978b311c..ec6ada3db878 100644
--- a/x11-libs/qt-demo/ChangeLog
+++ b/x11-libs/qt-demo/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-demo
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.35 2009/11/18 20:48:39 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.36 2009/12/01 14:49:37 tampakrap Exp $
+
+*qt-demo-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-demo-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-demo-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-demo/qt-demo-4.6.0.ebuild b/x11-libs/qt-demo/qt-demo-4.6.0.ebuild
new file mode 100644
index 000000000000..7681414353aa
--- /dev/null
+++ b/x11-libs/qt-demo/qt-demo-4.6.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/qt-demo-4.6.0.ebuild,v 1.1 2009/12/01 14:49:37 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="Demonstration module of the Qt toolkit"
+SLOT="4"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-assistant-${PV}:${SLOT}
+ ~x11-libs/qt-core-${PV}:${SLOT}
+ ~x11-libs/qt-dbus-${PV}:${SLOT}
+ ~x11-libs/qt-gui-${PV}:${SLOT}
+ ~x11-libs/qt-multimedia-${PV}:${SLOT}
+ ~x11-libs/qt-opengl-${PV}:${SLOT}
+ || ( ~x11-libs/qt-phonon-${PV}:${SLOT} media-sound/phonon )
+ ~x11-libs/qt-script-${PV}:${SLOT}
+ ~x11-libs/qt-sql-${PV}:${SLOT}
+ ~x11-libs/qt-svg-${PV}:${SLOT}
+ ~x11-libs/qt-test-${PV}:${SLOT}
+ ~x11-libs/qt-webkit-${PV}:${SLOT}
+ ~x11-libs/qt-xmlpatterns-${PV}:${SLOT}"
+
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="demos
+ examples"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ doc/src/images
+ src/
+ include/
+ tools/"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-4.6-plugandpaint.patch"
+)
+
+src_install() {
+ insinto ${QTDOCDIR}/src
+ doins -r "${S}"/doc/src/images || die "Installing images failed."
+
+ qt4-build_src_install
+}
diff --git a/x11-libs/qt-gui/ChangeLog b/x11-libs/qt-gui/ChangeLog
index f66a86e598da..0c9d68a06290 100644
--- a/x11-libs/qt-gui/ChangeLog
+++ b/x11-libs/qt-gui/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-gui
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.84 2009/11/18 20:50:35 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.85 2009/12/01 14:50:46 tampakrap Exp $
+
+*qt-gui-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-gui-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-gui-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-gui/qt-gui-4.6.0.ebuild b/x11-libs/qt-gui/qt-gui-4.6.0.ebuild
new file mode 100644
index 000000000000..0f49973aa338
--- /dev/null
+++ b/x11-libs/qt-gui/qt-gui-4.6.0.ebuild
@@ -0,0 +1,168 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/qt-gui-4.6.0.ebuild,v 1.1 2009/12/01 14:50:46 tampakrap Exp $
+
+EAPI="2"
+inherit eutils qt4-build
+
+DESCRIPTION="The GUI module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+accessibility cups dbus +glib gtk mng nas nis raster tiff qt3support xinerama"
+
+RDEPEND="media-libs/fontconfig
+ >=media-libs/freetype-2
+ media-libs/jpeg
+ media-libs/libpng
+ sys-libs/zlib
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrandr
+ x11-libs/libXcursor
+ x11-libs/libXfont
+ x11-libs/libSM
+ x11-libs/libXi
+ ~x11-libs/qt-core-${PV}[debug=,glib=,qt3support=]
+ ~x11-libs/qt-script-${PV}[debug=]
+ cups? ( net-print/cups )
+ dbus? ( ~x11-libs/qt-dbus-${PV}[debug=] )
+ gtk? ( x11-libs/gtk+:2 )
+ mng? ( >=media-libs/libmng-1.0.9 )
+ nas? ( >=media-libs/nas-1.5 )
+ tiff? ( media-libs/tiff )
+ xinerama? ( x11-libs/libXinerama )
+ "
+DEPEND="${RDEPEND}
+ xinerama? ( x11-proto/xineramaproto )
+ x11-proto/xextproto
+ x11-proto/inputproto"
+PDEPEND="qt3support? ( ~x11-libs/qt-qt3support-${PV}[debug=] )"
+
+QT4_TARGET_DIRECTORIES="
+src/gui
+src/scripttools
+tools/designer
+tools/linguist/linguist
+src/plugins/imageformats/gif
+src/plugins/imageformats/ico
+src/plugins/imageformats/jpeg
+src/plugins/inputmethods"
+
+QT4_EXTRACT_DIRECTORIES="
+include
+src
+tools/linguist/phrasebooks
+tools/linguist/shared
+tools/shared"
+
+pkg_setup() {
+ if ! use qt3support; then
+ ewarn "WARNING: if you need 'qtconfig', you _must_ enable qt3support."
+ ebeep 5
+ fi
+
+ if use raster; then
+ ewarn "WARNING: You have enabled raster backend rendering engine."
+ ewarn "This is a new feature and may lead to composite problems"
+ ewarn "screen corruption and broken qt4 or kde4 applications. "
+ ewarn "If you encounter such problems please"
+ ewarn "remove 'raster' use flag and re-compile qt-gui before"
+ ewarn "filling a bug on gentoo bugzilla."
+ ebeep 5
+ fi
+ qt4-build_pkg_setup
+}
+
+src_unpack() {
+ use dbus && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} tools/qdbus/qdbusviewer"
+ use mng && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/mng"
+ use tiff && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/tiff"
+ use accessibility && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/accessible/widgets"
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES} ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ # Don't build plugins this go around, because they depend on qt3support lib
+ sed -i -e "s:CONFIG(shared:# &:g" "${S}"/tools/designer/src/src.pro
+}
+
+src_configure() {
+ export PATH="${S}/bin:${PATH}"
+ export LD_LIBRARY_PATH="${S}/lib:${LD_LIBRARY_PATH}"
+
+ myconf="$(qt_use accessibility)
+ $(qt_use cups)
+ $(qt_use glib)
+ $(qt_use mng libmng system)
+ $(qt_use nis)
+ $(qt_use tiff libtiff system)
+ $(qt_use dbus qdbus)
+ $(qt_use qt3support)
+ $(qt_use gtk gtkstyle)
+ $(qt_use xinerama)"
+
+ use nas && myconf="${myconf} -system-nas-sound"
+ use raster && myconf="${myconf} -graphicssystem raster"
+
+ myconf="${myconf} -qt-gif -system-libpng -system-libjpeg
+ -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2 -no-sql-odbc
+ -xrender -xrandr -xkb -xshape -sm -no-svg"
+
+ # Explicitly don't compile these packages.
+ # Emerge "qt-webkit", "qt-phonon", etc for their functionality.
+ myconf="${myconf} -no-webkit -no-phonon -no-dbus -no-opengl"
+
+ qt4-build_src_configure
+}
+
+src_install() {
+ QCONFIG_ADD="x11sm xshape xcursor xfixes xrandr xrender xkb fontconfig
+ $(usev accessibility) $(usev xinerama) $(usev cups) $(usev nas)
+ gif png system-png system-jpeg
+ $(use mng && echo system-mng)
+ $(use tiff && echo system-tiff)"
+ QCONFIG_REMOVE="no-gif no-png"
+ QCONFIG_DEFINE="$(use accessibility && echo QT_ACCESSIBILITY)
+ $(use cups && echo QT_CUPS) QT_FONTCONFIG QT_IMAGEFORMAT_JPEG
+ $(use mng && echo QT_IMAGEFORMAT_MNG)
+ $(use nas && echo QT_NAS)
+ $(use nis && echo QT_NIS) QT_IMAGEFORMAT_PNG QT_SESSIONMANAGER QT_SHAPE
+ $(use tiff && echo QT_IMAGEFORMAT_TIFF) QT_XCURSOR
+ $(use xinerama && echo QT_XINERAMA) QT_XFIXES QT_XKB QT_XRANDR QT_XRENDER"
+
+ qt4-build_src_install
+
+ # remove some unnecessary headers
+ rm -f "${D}${QTHEADERDIR}"/{Qt,QtGui}/{qmacstyle_mac.h,qwindowdefs_win.h} \
+ "${D}${QTHEADERDIR}"/QtGui/QMacStyle
+
+ # qt-creator
+ # some qt-creator headers are located
+ # under /usr/include/qt4/QtDesigner/private.
+ # those headers are just includes of the headers
+ # which are located under tools/designer/src/lib/*
+ # So instead of installing both, we create the private folder
+ # and drop tools/designer/src/lib/* headers in it.
+ dodir /usr/include/qt4/QtDesigner/private/
+ insinto /usr/include/qt4/QtDesigner/private/
+ doins "${S}"/tools/designer/src/lib/shared/*
+ doins "${S}"/tools/designer/src/lib/sdk/*
+
+ # install correct designer and linguist icons, bug 241208
+ doicon tools/linguist/linguist/images/icons/linguist-128-32.png \
+ tools/designer/src/designer/images/designer.png \
+ || die "doicon failed"
+ # Note: absolute image path required here!
+ make_desktop_entry /usr/bin/linguist Linguist \
+ /usr/share/pixmaps/linguist-128-32.png \
+ 'Qt;Development;GUIDesigner' \
+ || die "linguist make_desktop_entry failed"
+ make_desktop_entry /usr/bin/designer Designer \
+ /usr/share/pixmaps/designer.png \
+ 'Qt;Development;GUIDesigner' \
+ || die "designer make_desktop_entry failed"
+}
diff --git a/x11-libs/qt-multimedia/ChangeLog b/x11-libs/qt-multimedia/ChangeLog
index 6732d2f61993..fcd5c46a1fd6 100644
--- a/x11-libs/qt-multimedia/ChangeLog
+++ b/x11-libs/qt-multimedia/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-multimedia
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/ChangeLog,v 1.2 2009/11/18 20:50:49 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/ChangeLog,v 1.3 2009/12/01 14:51:38 tampakrap Exp $
+
+*qt-multimedia-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-multimedia-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-multimedia-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-multimedia/qt-multimedia-4.6.0.ebuild b/x11-libs/qt-multimedia/qt-multimedia-4.6.0.ebuild
new file mode 100644
index 000000000000..925b5767379d
--- /dev/null
+++ b/x11-libs/qt-multimedia/qt-multimedia-4.6.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/qt-multimedia-4.6.0.ebuild,v 1.1 2009/12/01 14:51:38 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt multimedia module"
+SLOT="4"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]
+ ~x11-libs/qt-gui-${PV}[debug=]
+"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/multimedia"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtGui/
+include/QtMultimedia/
+src/src.pro
+src/corelib/
+src/gui/
+src/plugins
+src/3rdparty
+src/tools"
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig
+ -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2
+ -no-sql-odbc -no-glib -no-opengl -no-svg -no-gtkstyle -no-phonon-backend -no-script
+ -no-scripttools -no-cups -no-xsync -no-xinput"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-opengl/ChangeLog b/x11-libs/qt-opengl/ChangeLog
index 86e8980aaee8..1ce463cc70cf 100644
--- a/x11-libs/qt-opengl/ChangeLog
+++ b/x11-libs/qt-opengl/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-opengl
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.53 2009/11/18 20:51:11 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.54 2009/12/01 14:52:23 tampakrap Exp $
+
+*qt-opengl-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-opengl-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-opengl-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-opengl/qt-opengl-4.6.0.ebuild b/x11-libs/qt-opengl/qt-opengl-4.6.0.ebuild
new file mode 100644
index 000000000000..80be1427f9f0
--- /dev/null
+++ b/x11-libs/qt-opengl/qt-opengl-4.6.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/qt-opengl-4.6.0.ebuild,v 1.1 2009/12/01 14:52:23 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The OpenGL module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="qt3support"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
+ ~x11-libs/qt-gui-${PV}[debug=,qt3support=]
+ virtual/opengl
+ virtual/glu"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/opengl
+src/plugins/graphicssystems/opengl"
+
+QT4_EXTRACT_DIRECTORIES="
+include/QtCore
+include/QtGui
+include/QtOpenGL
+src/corelib
+src/gui
+src/opengl
+src/plugins
+src/3rdparty"
+
+QCONFIG_ADD="opengl"
+QCONFIG_DEFINE="QT_OPENGL"
+
+src_configure() {
+ myconf="${myconf} -opengl
+ $(qt_use qt3support)"
+
+ qt4-build_src_configure
+
+ # Not building tools/designer/src/plugins/tools/view3d as it's
+ # commented out of the build in the source
+}
diff --git a/x11-libs/qt-phonon/ChangeLog b/x11-libs/qt-phonon/ChangeLog
index 2805ba243bcc..8b3d5be71d7f 100644
--- a/x11-libs/qt-phonon/ChangeLog
+++ b/x11-libs/qt-phonon/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-phonon
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.52 2009/11/18 20:53:18 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.53 2009/12/01 14:53:16 tampakrap Exp $
+
+*qt-phonon-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-phonon-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-phonon-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-phonon/qt-phonon-4.6.0.ebuild b/x11-libs/qt-phonon/qt-phonon-4.6.0.ebuild
new file mode 100644
index 000000000000..43845c79d958
--- /dev/null
+++ b/x11-libs/qt-phonon/qt-phonon-4.6.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/qt-phonon-4.6.0.ebuild,v 1.1 2009/12/01 14:53:16 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Phonon module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="dbus"
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=,glib,qt3support]
+ !kde-base/phonon-kde
+ !kde-base/phonon-xine
+ !media-sound/phonon
+ media-libs/gstreamer
+ media-libs/gst-plugins-base
+ dbus? ( ~x11-libs/qt-dbus-${PV}[debug=] )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/phonon
+src/plugins/phonon"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/
+src"
+
+QCONFIG_ADD="phonon"
+QCONFIG_DEFINE="QT_GSTREAMER"
+
+src_configure() {
+ myconf="${myconf} -phonon -phonon-backend -no-opengl -no-svg
+ $(qt_use dbus qdbus)"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-qt3support/ChangeLog b/x11-libs/qt-qt3support/ChangeLog
index ce3063674c8c..09eaa1175e9b 100644
--- a/x11-libs/qt-qt3support/ChangeLog
+++ b/x11-libs/qt-qt3support/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-qt3support
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.56 2009/11/18 20:51:51 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.57 2009/12/01 14:54:11 tampakrap Exp $
+
+*qt-qt3support-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-qt3support-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-qt3support-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-qt3support/qt-qt3support-4.6.0.ebuild b/x11-libs/qt-qt3support/qt-qt3support-4.6.0.ebuild
new file mode 100644
index 000000000000..ee9d9949acf0
--- /dev/null
+++ b/x11-libs/qt-qt3support/qt-qt3support-4.6.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/qt-qt3support-4.6.0.ebuild,v 1.1 2009/12/01 14:54:11 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt3 support module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+accessibility kde phonon"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support]
+ ~x11-libs/qt-gui-${PV}[accessibility=,debug=,qt3support]
+ ~x11-libs/qt-sql-${PV}[debug=,qt3support]
+ phonon? (
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV}[debug=]
+ media-sound/phonon[gstreamer] ) )
+ kde? ( media-sound/phonon[gstreamer] ) )"
+
+RDEPEND="${DEPEND}
+ !=x11-libs/qt-gui-${PV}-r1
+"
+
+QT4_TARGET_DIRECTORIES="
+src/qt3support
+src/tools/uic3
+tools/designer/src/plugins/widgets
+tools/qtconfig
+tools/porting"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+src/
+include/
+tools/"
+
+src_configure() {
+ myconf="${myconf} -qt3support
+ $(qt_use phonon gstreamer)
+ $(qt_use phonon)
+ $(qt_use accessibility)"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-script/ChangeLog b/x11-libs/qt-script/ChangeLog
index 9a99cafead9b..13c990842e55 100644
--- a/x11-libs/qt-script/ChangeLog
+++ b/x11-libs/qt-script/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-script
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.54 2009/11/18 20:49:15 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.55 2009/12/01 14:58:10 tampakrap Exp $
+
+*qt-script-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-script-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-script-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-script/qt-script-4.6.0.ebuild b/x11-libs/qt-script/qt-script-4.6.0.ebuild
new file mode 100644
index 000000000000..70ac100a7693
--- /dev/null
+++ b/x11-libs/qt-script/qt-script-4.6.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/qt-script-4.6.0.ebuild,v 1.1 2009/12/01 14:58:10 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The ECMAScript module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="iconv"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/script/"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtScript/
+src/corelib/
+src/3rdparty/javascriptcore/
+"
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -script -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg -no-gtkstyle"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-sql/ChangeLog b/x11-libs/qt-sql/ChangeLog
index 038a3fba9645..92167876175d 100644
--- a/x11-libs/qt-sql/ChangeLog
+++ b/x11-libs/qt-sql/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-sql
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.63 2009/11/18 20:49:34 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.64 2009/12/01 14:59:33 tampakrap Exp $
+
+*qt-sql-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-sql-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-sql-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-sql/qt-sql-4.6.0.ebuild b/x11-libs/qt-sql/qt-sql-4.6.0.ebuild
new file mode 100644
index 000000000000..a2574ab90715
--- /dev/null
+++ b/x11-libs/qt-sql/qt-sql-4.6.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/qt-sql-4.6.0.ebuild,v 1.1 2009/12/01 14:59:33 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The SQL module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="firebird iconv mysql odbc postgres qt3support +sqlite"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
+ firebird? ( dev-db/firebird )
+ mysql? ( virtual/mysql )
+ odbc? ( dev-db/unixODBC )
+ postgres? ( virtual/postgresql-base )
+ sqlite? ( dev-db/sqlite:3 )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/sql src/plugins/sqldrivers"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtSql/
+include/QtScript/
+src/src.pro
+src/corelib/
+src/plugins
+src/sql
+src/3rdparty
+src/tools"
+
+pkg_setup() {
+ if ! (use firebird || use mysql || use odbc || use postgres || use sqlite); then
+ ewarn "You need to enable at least one SQL driver. Enable at least"
+ ewarn "one of these USE flags: \"firebird mysql odbc postgres sqlite\""
+ die "Enable at least one SQL driver."
+ fi
+
+ qt4-build_pkg_setup
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ sed -e '/pg_config --libs/d' -i "${S}"/configure \
+ || die "sed to fix postgresql usage in ./configure failed"
+}
+
+src_configure() {
+ # Don't support sqlite2 anymore
+ myconf="${myconf} -no-sql-sqlite2
+ $(qt_use mysql sql-mysql plugin) $(use mysql && echo "-I/usr/include/mysql -L/usr/$(get_libdir)/mysql ")
+ $(qt_use postgres sql-psql plugin) $(use postgres && echo "-I/usr/include/postgresql/pgsql ")
+ $(qt_use sqlite sql-sqlite plugin) $(use sqlite && echo '-system-sqlite')
+ $(qt_use odbc sql-odbc plugin)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig
+ -no-glib -no-opengl -no-svg -no-gtkstyle"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-svg/ChangeLog b/x11-libs/qt-svg/ChangeLog
index 4316825a5fb5..2a18d4749e11 100644
--- a/x11-libs/qt-svg/ChangeLog
+++ b/x11-libs/qt-svg/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-svg
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.54 2009/11/18 20:52:30 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.55 2009/12/01 15:00:46 tampakrap Exp $
+
+*qt-svg-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-svg-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-svg-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-svg/qt-svg-4.6.0.ebuild b/x11-libs/qt-svg/qt-svg-4.6.0.ebuild
new file mode 100644
index 000000000000..d2c3af5ec6a3
--- /dev/null
+++ b/x11-libs/qt-svg/qt-svg-4.6.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/qt-svg-4.6.0.ebuild,v 1.1 2009/12/01 15:00:46 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The SVG module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="iconv"
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/svg
+src/plugins/imageformats/svg
+src/plugins/iconengines/svgiconengine"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtSvg/
+include/Qt/
+include/QtGui/
+include/QtCore/
+include/QtXml/
+src/corelib/
+src/gui/
+src/plugins/
+src/xml
+src/3rdparty"
+
+QCONFIG_ADD="svg"
+QCONFIG_DEFINE="QT_SVG"
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -svg -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -v -no-fontconfig -no-glib -no-opengl -no-gtkstyle -continue"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-test/ChangeLog b/x11-libs/qt-test/ChangeLog
index 5b5643a7549e..9474293d0156 100644
--- a/x11-libs/qt-test/ChangeLog
+++ b/x11-libs/qt-test/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-test
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.52 2009/11/18 20:52:11 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.53 2009/12/01 15:01:57 tampakrap Exp $
+
+*qt-test-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-test-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-test-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-test/qt-test-4.6.0.ebuild b/x11-libs/qt-test/qt-test-4.6.0.ebuild
new file mode 100644
index 000000000000..eaf10c2e06b7
--- /dev/null
+++ b/x11-libs/qt-test/qt-test-4.6.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/qt-test-4.6.0.ebuild,v 1.1 2009/12/01 15:01:57 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The testing framework module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="iconv"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/testlib"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtTest/
+include/QtCore/
+src/corelib/"
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-webkit/ChangeLog b/x11-libs/qt-webkit/ChangeLog
index da867ea26941..54b570f969a6 100644
--- a/x11-libs/qt-webkit/ChangeLog
+++ b/x11-libs/qt-webkit/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-webkit
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.69 2009/11/18 20:49:54 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.70 2009/12/01 15:02:53 tampakrap Exp $
+
+*qt-webkit-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-webkit-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-webkit-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-webkit/qt-webkit-4.6.0.ebuild b/x11-libs/qt-webkit/qt-webkit-4.6.0.ebuild
new file mode 100644
index 000000000000..3d3a04f9c83b
--- /dev/null
+++ b/x11-libs/qt-webkit/qt-webkit-4.6.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.6.0.ebuild,v 1.1 2009/12/01 15:02:53 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Webkit module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd"
+IUSE="kde"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,ssl]
+ ~x11-libs/qt-dbus-${PV}[debug=]
+ ~x11-libs/qt-gui-${PV}[dbus,debug=]
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[dbus,debug=]
+ media-sound/phonon ) )
+ kde? ( media-sound/phonon )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/3rdparty/webkit/WebCore tools/designer/src/plugins/qwebview"
+QT4_EXTRACT_DIRECTORIES="
+include/
+src/
+tools/"
+QCONFIG_ADD="webkit"
+QCONFIG_DEFINE="QT_WEBKIT"
+
+src_prepare() {
+ [[ $(tc-arch) == "ppc64" ]] && append-flags -mminimal-toc #241900
+ if use sparc; then
+ epatch "${FILESDIR}"/sparc-qt-webkit-sigbus.patch
+ fi
+ qt4-build_src_prepare
+}
+
+src_configure() {
+ myconf="${myconf} -webkit"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-xmlpatterns/ChangeLog b/x11-libs/qt-xmlpatterns/ChangeLog
index 3e7abdc8f77c..b1781e5267f8 100644
--- a/x11-libs/qt-xmlpatterns/ChangeLog
+++ b/x11-libs/qt-xmlpatterns/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-xmlpatterns
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.51 2009/11/18 20:48:56 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.52 2009/12/01 15:03:59 tampakrap Exp $
+
+*qt-xmlpatterns-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org>
+ +qt-xmlpatterns-4.6.0.ebuild:
+ Version Bump to 4.6.0
*qt-xmlpatterns-4.6.0_rc1 (18 Nov 2009)
diff --git a/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.0.ebuild b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.0.ebuild
new file mode 100644
index 000000000000..dfa6c7a8ccc7
--- /dev/null
+++ b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.0.ebuild,v 1.1 2009/12/01 15:03:59 tampakrap Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The patternist module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/xmlpatterns tools/xmlpatterns"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtXml
+include/QtNetwork
+include/QtXmlPatterns
+src/network/
+src/xml/
+src/corelib/"
+
+QCONFIG_ADD="xmlpatterns"
+QCONFIG_DEFINE="QT_XMLPATTERNS"
+
+src_configure() {
+ myconf="${myconf} -xmlpatterns"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt/ChangeLog b/x11-libs/qt/ChangeLog
index a17e444b6903..1145e2e69c1f 100644
--- a/x11-libs/qt/ChangeLog
+++ b/x11-libs/qt/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt/ChangeLog,v 1.605 2009/11/21 18:24:15 nixnut Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt/ChangeLog,v 1.606 2009/12/01 14:46:36 tampakrap Exp $
+
+*qt-4.6.0 (01 Dec 2009)
+
+ 01 Dec 2009; Theo Chatzimichos <tampakrap@gentoo.org> +qt-4.6.0.ebuild:
+ Version Bump to 4.6.0
21 Nov 2009; nixnut <nixnut@gentoo.org> qt-3.3.8b-r2.ebuild:
ppc stable #292929
diff --git a/x11-libs/qt/qt-4.6.0.ebuild b/x11-libs/qt/qt-4.6.0.ebuild
new file mode 100644
index 000000000000..82956ce5919d
--- /dev/null
+++ b/x11-libs/qt/qt-4.6.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt/qt-4.6.0.ebuild,v 1.1 2009/12/01 14:46:36 tampakrap Exp $
+
+EAPI=2
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
+HOMEPAGE="http://www.qtsoftware.com/"
+
+LICENSE="|| ( LGPL-2.1 GPL-3 )"
+SLOT="4"
+KEYWORDS="~amd64 ~x86"
+IUSE="dbus kde opengl qt3support"
+
+DEPEND=""
+RDEPEND="~x11-libs/qt-core-${PV}
+ ~x11-libs/qt-gui-${PV}
+ ~x11-libs/qt-svg-${PV}
+ ~x11-libs/qt-sql-${PV}
+ ~x11-libs/qt-script-${PV}
+ ~x11-libs/qt-xmlpatterns-${PV}
+ dbus? ( ~x11-libs/qt-dbus-${PV} )
+ opengl? ( ~x11-libs/qt-opengl-${PV} )
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV} media-sound/phonon ) )
+ kde? ( media-sound/phonon )
+ qt3support? ( ~x11-libs/qt-qt3support-${PV} )
+ ~x11-libs/qt-webkit-${PV}
+ ~x11-libs/qt-test-${PV}
+ ~x11-libs/qt-multimedia-${PV}
+ ~x11-libs/qt-assistant-${PV}"
+
+pkg_postinst() {
+ echo
+ elog "Please note that this meta package is only provided for convenience."
+ elog "No packages should depend directly on this meta package, but on the"
+ elog "specific split Qt packages needed. This ebuild will be removed in"
+ elog "future versions. Users that want all Qt components installed are"
+ elog "advised to use the set currently available in qting-edge overlay."
+ echo
+}